Bug 2050284 - CVE-2021-43616 nodejs: npm: npm ci succeeds when package-lock.json doesn't match package.json [fedora-all]
Summary: CVE-2021-43616 nodejs: npm: npm ci succeeds when package-lock.json doesn't ma...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: 35
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: NodeJS Packaging SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-43616
TreeView+ depends on / blocked
 
Reported: 2022-02-03 15:55 UTC by Pedro Sampaio
Modified: 2022-02-19 01:31 UTC (History)
5 users (show)

Fixed In Version: nodejs-16_epel-820220204180904.9edba152 nodejs-16.14.0-2.el7 nodejs-16.14.0-2.fc35
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-14 00:18:56 UTC
Type: ---


Attachments (Terms of Use)

Description Pedro Sampaio 2022-02-03 15:55:01 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2022-02-03 15:55:03 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2050282,2050284

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-02-04 21:07:03 UTC
FEDORA-2022-0c0c487184 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0c0c487184

Comment 3 Fedora Update System 2022-02-04 21:07:09 UTC
FEDORA-EPEL-2022-a23ae5cde8 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-a23ae5cde8

Comment 4 Fedora Update System 2022-02-04 21:07:15 UTC
FEDORA-EPEL-MODULAR-2022-4624ffa199 has been submitted as an update to Fedora Epel 8 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2022-4624ffa199

Comment 5 Fedora Update System 2022-02-05 00:23:56 UTC
FEDORA-EPEL-2022-a23ae5cde8 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-a23ae5cde8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-02-05 02:12:43 UTC
FEDORA-2022-0c0c487184 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-0c0c487184`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0c0c487184

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-02-06 00:49:04 UTC
FEDORA-EPEL-MODULAR-2022-4624ffa199 has been pushed to the Fedora Epel 8 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-MODULAR-2022-4624ffa199

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-02-11 01:33:41 UTC
FEDORA-EPEL-2022-f762e66b0d has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-f762e66b0d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-02-11 02:14:19 UTC
FEDORA-2022-97b214b298 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-97b214b298`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-97b214b298

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-02-14 00:18:56 UTC
FEDORA-EPEL-MODULAR-2022-4624ffa199 has been pushed to the Fedora Epel 8 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-02-19 00:41:03 UTC
FEDORA-EPEL-2022-f762e66b0d has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-02-19 01:31:03 UTC
FEDORA-2022-97b214b298 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.